Bug 242032 (CVE-2007-2872) - CVE-2007-2872 php chunk_split integer overflow
Summary: CVE-2007-2872 php chunk_split integer overflow
Status: CLOSED ERRATA
Alias: CVE-2007-2872
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20070601,reported=20070601,sou...
Keywords:
Depends On: 242908 278351 278361 278381 278391 278401 278411 278421
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-01 12:35 UTC by Joe Orton
Modified: 2016-03-04 12:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 14:06:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0888 normal SHIPPED_LIVE Moderate: php security update 2007-10-23 15:54:05 UTC
Red Hat Product Errata RHSA-2007:0889 normal SHIPPED_LIVE Moderate: php security update 2007-09-26 08:34:27 UTC
Red Hat Product Errata RHSA-2007:0890 normal SHIPPED_LIVE Moderate: php security update 2008-01-07 23:52:21 UTC
Red Hat Product Errata RHSA-2007:0891 normal SHIPPED_LIVE Moderate: php security update 2007-10-25 17:33:16 UTC

Description Joe Orton 2007-06-01 12:35:51 UTC
Description of problem:
PHP 5.2.3 release: http://www.php.net/releases/5_2_3.php

Fixed an integer overflow inside chunk_split() (by Gerhard Wagner, CVE-2007-2872)

Comment 1 Mark J. Cox 2007-06-01 14:10:52 UTC
impact=moderate based on analysis of the vulnerability.  Note that to exploit
this the attacker would need to be able to supply an arbitrary argument as a 3rd
argument to chunk_split.  Most scripts that use chunk_script do not specify a
3rd argument or use a fixed argument.

Comment 2 Mark J. Cox 2007-09-03 15:15:17 UTC
note a more complete fix was included with PHP 5.2.4 release

Comment 8 Red Hat Product Security 2008-01-16 14:06:10 UTC
This issue was addressed in:

Red Hat Application Stack:
  http://rhn.redhat.com/errata/RHSA-2007-0891.html

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-0890.html
  http://rhn.redhat.com/errata/RHSA-2007-0889.html
  http://rhn.redhat.com/errata/RHSA-2007-0888.html

Fedora:
  updated to fixed upstream version




Note You need to log in before you can comment on or make changes to this bug.